Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_QoS_Acceptor Class Reference

`#include <QoS_UDP.h>`

Inheritance diagram for TAO_AV_UDP_QoS_Acceptor

[legend]
Collaboration diagram for TAO_AV_UDP_QoS_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_QoS_Acceptor (void)
virtual | ~TAO_AV_UDP_QoS_Acceptor (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory)
virtual int | open_default (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory)
virtual int | open_i (ACE_INET_Addr *address)
virtual int | close (void)
virtual int | activate_svc_handler (TAO_AV_UDP_QoS_Flow_Handler *handler)
## Protected Attributes
TAO_Base_StreamEndPoint* | endpoint_
TAO_FlowSpec_Entry* | entry_
TAO_AV_Flow_Protocol_Factory* | flow_protocol_factory_
ACE_QoS_Session* | qos_session_
ACE_QoS_Manager | qos_manager_

## Constructor & Destructor Documentation

TAO_AV_UDP_QoS_Acceptor::TAO_AV_UDP_QoS_Acceptor ( | void )

TAO_AV_UDP_QoS_Acceptor::~TAO_AV_UDP_QoS_Acceptor ( | void )`[virtual]`

## Member Function Documentation

int TAO_AV_UDP_QoS_Acceptor::activate_svc_handler ( | TAO_AV_UDP_QoS_Flow_Handler * handler )`[virtual]`

int TAO_AV_UDP_QoS_Acceptor::close ( | void )`[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_QoS_Acceptor::open ( | TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_Core * av_core,
| TAO_FlowSpec_Entry * entry,
| TAO_AV_Flow_Protocol_Factory * factory )`[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_QoS_Acceptor::open_default ( | TAO_Base_StreamEndPoint * endpoint,
| TAO_AV_Core * av_core,
| TAO_FlowSpec_Entry * entry,
| TAO_AV_Flow_Protocol_Factory * factory )`[virtual]`

| Reimplemented from TAO_AV_Acceptor.

int TAO_AV_UDP_QoS_Acceptor::open_i ( | ACE_INET_Addr * inet_addr )`[virtual]`

## Member Data Documentation

TAO_Base_StreamEndPoint * TAO_AV_UDP_QoS_Acceptor::endpoint_`[protected]`

TAO_FlowSpec_Entry * TAO_AV_UDP_QoS_Acceptor::entry_`[protected]`

TAO_AV_Flow_Protocol_Factory * TAO_AV_UDP_QoS_Acceptor::flow_protocol_factory_`[protected]`

ACE_QoS_Manager TAO_AV_UDP_QoS_Acceptor::qos_manager_`[protected]`

ACE_QoS_Session * TAO_AV_UDP_QoS_Acceptor::qos_session_`[protected]`

The documentation for this class was generated from the following files:

- QoS_UDP.h
- QoS_UDP.cpp